> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Signup Request



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json post /api/partners/v2.0/auth/signup-request
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/auth/signup-request:
    post:
      tags:
        - Authentication
      summary: Signup Request
      operationId: integrations_api_api_v2_auth_router_signup_request
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SignupRequestInput'
        required: true
      responses:
        '202':
          description: Accepted
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                additionalProperties: true
                title: Response
                type: object
components:
  schemas:
    SignupRequestInput:
      properties:
        email:
          format: email
          title: Email
          type: string
        url:
          title: Url
          type: string
        invite_token:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Invite Token
      required:
        - email
        - url
      title: SignupRequestInput
      type: object

````